## kubuntu-debug-installer 10.04ubuntu4

=== CMakeLists.txt ===
project(kubuntu-debug-installer)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( src )

=== src/CMakeLists.txt ===
set(installdbgsymbols_SRCS
   dbglookupthread.cpp
   dbginstaller.cpp
   main.cpp
 )

kde4_add_executable(kubuntu-debug-installer ${installdbgsymbols_SRCS})

target_link_libraries(kubuntu-debug-installer ${KDE4_KDEUI_LIBS} )

install(TARGETS kubuntu-debug-installer ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kubuntu-debug-installer (10.04ubuntu4) lucid; urgency=low

  * Don't offer installation of already installed packages (LP: #538543)
  * Changer lookup order (dbgsym first, dbg last). This way the user does not
    end up with a mixed setup of dbgsym and dbg. Of course this only works if
    the user does not install -dbg manually! Unfortunately a more specific
    approach wil have to wait for libqapt or the likes, since the current
    query design would make the lookups too expensive (LP: #540505)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 06 Apr 2010 00:23:51 +0200

kubuntu-debug-installer (10.04ubuntu3) lucid; urgency=low

  [ Aurélien Gâteau ]
  * Change Yes buttons in messagesboxes to Install and Continue

  [ Harald Sitter ]
  * Prevent dialogs from appearing when there are no dbg packages found at
    all (using function checkListEmpty which exits the app on empty list)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 10 Mar 2010 15:02:12 +0100

kubuntu-debug-installer (10.04ubuntu2) lucid; urgency=low

  * Fix buildd building by adding a missing space after Package:

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 06 Mar 2010 17:32:32 +0100

kubuntu-debug-installer (10.04ubuntu1) lucid; urgency=low

  * Initial release. (LP: #514557)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 06 Mar 2010 01:57:39 +0100

=== debian/control ===
Source: kubuntu-debug-installer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev
Standards-Version: 3.8.4
Homepage: https://www.launchpad.net/kubuntu-debug-installer
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk

Package: kubuntu-debug-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kpackagekit
Description: Debug package installer for Kubuntu
 This installer permits drkonqi, KDE's automatic backtrace and bug report
 utility to try find and install missing debug symbols, so that backtraces
 become more useful.

Package: kubuntu-debug-installer-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kubuntu-debug-installer (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: Debug package installer for Kubuntu - debug symbols
 This installer permits drkonqi, KDE's automatic backtrace and bug report
 utility to try find and install missing debug symbols, so that backtraces
 become more useful.
 .
 This package only contains the debug symbols.

## kubuntu-debug-installer 10.10ubuntu4

=== CMakeLists.txt ===
project(kubuntu-debug-installer)

find_package(KDE4 REQUIRED)
find_package(QApt REQUIRED)
include (KDE4Defaults)

macro_log_feature(QAPT_FOUND "QApt" "High-level Qt wrapper/Apt implementation around the Apt-pkg library"
                  "http://kubuntu.org" FALSE "" "Used to look up packages")

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( src )

=== src/CMakeLists.txt ===
set(installdbgsymbols_SRCS
   dbglookupthread.cpp
   dbginstaller.cpp
   main.cpp
 )

kde4_add_executable(kubuntu-debug-installer ${installdbgsymbols_SRCS})

target_link_libraries(kubuntu-debug-installer ${KDE4_KDEUI_LIBS} ${QAPT_LIBRARY})

install(TARGETS kubuntu-debug-installer ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kubuntu-debug-installer (10.10ubuntu4) maverick; urgency=low

  * Rebuild for libqapt0 -> libqapt1 transition

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 13 Aug 2010 13:34:37 -0400

kubuntu-debug-installer (10.10ubuntu3) maverick; urgency=low

  * Only get the dbg package if the package we're looking up isn't null
    (LP: #614657)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 08 Aug 2010 21:01:02 -0400

kubuntu-debug-installer (10.10ubuntu2) maverick; urgency=low

  [ Harald Sitter ]
  * Reduce heap usage
  * Properly destruct dbginstaller
  * Provide context for translatable strings
  * Function calls with const QString references
  * Mark static functions as such

  [ Jonathan Thomas ]
  * Port kubuntu-debug-installer from install-package to qapt-batch.
  * Replace the dependency on install-package with one on qapt-batch
  * Use LibQApt to search for the -dbg package corresponding to the missing
    symbols
  * Add a build-dependency on libqapt-dev
  * Fix punctuation in the long description
  * Bump Standards-Version to 3.9.0, no changes required

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 25 Jun 2010 12:50:11 +0200

kubuntu-debug-installer (10.10ubuntu1) maverick; urgency=low

  * Add build-depend on cmake since kdelibs5-dev no longer depends on it

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:25:58 -0400

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev,
+ libqapt-dev
+Standards-Version: 3.9.0
 Homepage: https://www.launchpad.net/kubuntu-debug-installer
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
 
 Package: kubuntu-debug-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kpackagekit
+Depends: ${shlibs:Depends}, ${misc:Depends}, qapt-batch
 Description: Debug package installer for Kubuntu
  This installer permits drkonqi, KDE's automatic backtrace and bug report
- utility to try find and install missing debug symbols, so that backtraces
+ utility, to try find and install missing debug symbols, so that backtraces
  become more useful.
 
 Package: kubuntu-debug-installer-dbg

## kubuntu-debug-installer 11.04ubuntu1

=== debian/changelog ===
kubuntu-debug-installer (11.04ubuntu1) natty; urgency=low

  [ Harald Sitter ]
  * Remove pointless include documentation
  * Fix include style
  * Improve looks of license headers
  * Introduce new thread signal alreadyInstalled which will be used to
    increment if a dbg package is already installed
  * Do not pointlessly copy QStrings around in signals and slots
  * Do not list already installed packages, instead emit alreadyInstalled
    and ignore the package (by Felix Geyer)
  * Introduce a boolean state tracker whether we found an already installed
    dbg package, if it is true and we have neither dbg packages nor missing
    ones exit with no error is indicated to prevent errors from appearing.
    Otherwise the bool is ignore completely.
  * Use qApp->exit to end the event loop instead of plain exit() 
  * Set version string using supreme cmake magic
  * Get rid of thread. Instead we now have DebugFinder which is a QObject
    essentially exposing the same signals&slots that the old thread exposed.
    Now such a finder gets constructed in the installer and move to a thread
    of which then the event loop starts. That way no blocking whatsoever
    occurs in the GUI as long as all interaction with the finde happens via
    the event loop (except that it is very non-blocking thanks to QApt
    already)
  * Bump standards version to 3.9.1
  * Add Jonathan Thomas and Felix Geyer as copyright holders in debian/copyright
  * Stop exceeding 80 chars/line in build-deps
  * Rename dbginstaller to DebugInstaller
  * Switch to CamelCase file names
  * Do not pass the file list to the finder object in its ctor but use the
    event loop. Unfortunately this does not allow the thread to stop
    immediately when quit is called, which is why the finder has a stopped
    member to speed up find() calls after stop() was called on the finder.

  [ Jonathan Thomas ]
  * Some packages' debug packages follow the format binaryPackageName + 
    "-dbg". Use this as a fallback in case the semi-standard 
    sourcePackageName + ("-dbg" || "-dbgsym") rule hasn't been followed.

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 13 Nov 2010 17:34:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev,
- libqapt-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
+ kdelibs5-dev, libqapt-dev
+Standards-Version: 3.9.1
 Homepage: https://www.launchpad.net/kubuntu-debug-installer
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --dbg-package=kubuntu-debug-installer-dbg --with kde $@

## kubuntu-debug-installer 11.10ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,15 @@
 
 include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
 
+execute_process(COMMAND src/version.sh
+                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+                RESULT_VARIABLE VERSION_RESULT
+                OUTPUT_VARIABLE VERSION_STRING
+                OUTPUT_STRIP_TRAILING_WHITESPACE
+)
+
+if(NOT VERSION_RESULT EQUAL 0 OR VERSION_STRING STREQUAL "")
+    message(FATAL_ERROR "Could not get version from debian/changelog :'-(")
+endif(NOT VERSION_RESULT EQUAL 0 OR VERSION_STRING STREQUAL "")
+
 add_subdirectory( src )

=== debian/changelog ===
kubuntu-debug-installer (11.10ubuntu1) oneiric; urgency=low

  * When called with no arguments terminate right away in the DebugInstaller
    ctor, otherwise event processing would continue through run() and show()
    causing a segfault along the line somewhere
  * Bump standards version to 3.9.2

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 26 Sep 2011 15:33:10 +0200

kubuntu-debug-installer (11.04ubuntu2) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Use "pretty" includes for QApt:
    - Bump minimum QApt version to the first version these were present
  * Make the strings for error dialogs consistent
  * Make string consistently past-tense for error messages.

  [ Harald Sitter ]
  * Upload to rebuild and get rid of kdebase-runtime dep (renamed to
    kde-runtime)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 29 Aug 2011 16:33:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev, libqapt-dev
-Standards-Version: 3.9.1
+ kdelibs5-dev, libqapt-dev (>= 1.0.80)
+Standards-Version: 3.9.2
 Homepage: https://www.launchpad.net/kubuntu-debug-installer
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk

## kubuntu-debug-installer 13.04ubuntu1

=== debian/changelog ===
kubuntu-debug-installer (13.04ubuntu1) raring-proposed; urgency=low

  * Now that we can with QApt2, pass QApt::Backend a QObject parent to handle
    memory management.
  * Remove some unused code.
  * Bump build-depend version for libqapt-dev to 1.9.60.
  * Bump debhelper/compat version to 9:
    - Fix dh argument order in debian/rules
  * Bump Standards-Version to 3.9.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 30 Oct 2012 11:24:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev, libqapt-dev (>= 1.0.80)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
+ kdelibs5-dev, libqapt-dev (>= 1.9.60)
+Standards-Version: 3.9.3
 Homepage: https://www.launchpad.net/kubuntu-debug-installer
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with-kde --dbg-package=kubuntu-debug-installer-dbg

## kubuntu-debug-installer 13.04ubuntu3

=== debian/changelog ===
kubuntu-debug-installer (13.04ubuntu3) raring; urgency=low

  * Fix dh sequence line to actually use the kde sequence
  * Build-dep on pkg-kde-tools (>= 0.15.3ubuntu7)
    + Previous versions were missing the python dep for msgsplit, so
      desktop file pot creation was supposedly not correct.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 14:20:10 +0100

kubuntu-debug-installer (13.04ubuntu2) raring; urgency=low

  * Set X-Ubuntu-Use-Langpack: yes in control to enable pot generation
  * Build depend on pkg-kde-tools >= 0.15.3ubuntu5 to ensure l10n creation works

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 11 Mar 2013 23:45:24 +0100

## kubuntu-debug-installer 13.10ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,5 @@
 endif(NOT VERSION_RESULT EQUAL 0 OR VERSION_STRING STREQUAL "")
 
 add_subdirectory( src )
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
add_subdirectory(ast)
add_subdirectory(bg)
add_subdirectory(bs)
add_subdirectory(ca)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_AU)
add_subdirectory(en_CA)
add_subdirectory(en_GB)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(eu)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(gd)
add_subdirectory(gl)
add_subdirectory(he)
add_subdirectory(hr)
add_subdirectory(hu)
add_subdirectory(id)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(ko)
add_subdirectory(lt)
add_subdirectory(lv)
add_subdirectory(ms)
add_subdirectory(nb)
add_subdirectory(nl)
add_subdirectory(oc)
add_subdirectory(pl)
add_subdirectory(ps)
add_subdirectory(pt_BR)
add_subdirectory(pt)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(se)
add_subdirectory(shn)
add_subdirectory(sl)
add_subdirectory(sq)
add_subdirectory(sr)
add_subdirectory(sv)
add_subdirectory(ta)
add_subdirectory(tr)
add_subdirectory(ug)
add_subdirectory(uk)
add_subdirectory(uz)
add_subdirectory(vi)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
+
 set(installdbgsymbols_SRCS
-   dbglookupthread.cpp
-   dbginstaller.cpp
-   main.cpp
- )
+    DebugFinder.cpp
+    DebugInstaller.cpp
+    main.cpp
+)
 
 kde4_add_executable(kubuntu-debug-installer ${installdbgsymbols_SRCS})

=== po/en_AU/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(en_AU ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/en_CA/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(en_CA ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/gd/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(gd ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/oc/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(oc ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ps/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ps ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/shn/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(shn ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/uz/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(uz ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kubuntu-debug-installer (13.10ubuntu1) saucy; urgency=low

  * Add translations from launchpad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Oct 2013 14:14:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), cmake,
  kdelibs5-dev, libqapt-dev (>= 1.9.60)
 Standards-Version: 3.9.3
+X-Ubuntu-Use-Langpack: yes
 Homepage: https://www.launchpad.net/kubuntu-debug-installer
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --dbg-package=kubuntu-debug-installer-dbg

## kubuntu-debug-installer 15.04ubuntu1

=== CMakeLists.txt ===
project(kubuntu-debug-installer)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(KF5CoreAddons 5.0.0 REQUIRED)
find_package(KF5I18n 5.0.0 REQUIRED)
find_package(KF5WidgetsAddons 5.0.0 REQUIRED)

find_package(QApt 3.0.0 REQUIRED)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kubuntu-debug-installer (15.04ubuntu1) vivid; urgency=medium

  * Port to KDE Frameworks 5
  * Remove crappy version parsing logic for something built into rules

 -- Harald Sitter <sitter@kde.org>  Tue, 20 Jan 2015 13:47:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), cmake,
- kdelibs5-dev, libqapt-dev (>= 1.9.60)
+ extra-cmake-modules,
+ libkf5coreaddons-dev,
+ libkf5i18n-dev,
+ libkf5widgetsaddons-dev,
+ libqapt-dev (>= 3.0.0)
 Standards-Version: 3.9.3
 X-Ubuntu-Use-Langpack: yes
-Homepage: https://www.launchpad.net/kubuntu-debug-installer
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-debug-installer/trunk
+Homepage: https://www.kubuntu.org
 
 Package: kubuntu-debug-installer
 Architecture: any
@@ -23,7 +25,6 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends}, kubuntu-debug-installer (= ${binary:Version})
-Recommends: kdelibs5-dbg
 Description: Debug package installer for Kubuntu - debug symbols
  This installer permits drkonqi, KDE's automatic backtrace and bug report
  utility to try find and install missing debug symbols, so that backtraces

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@ --with kf5 --dbg-package=kubuntu-debug-installer-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION_STRING_FULL=$(version)

## kubuntu-debug-installer 15.10ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,3 +19,6 @@
 add_subdirectory(src)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+find_package(KF5I18n CONFIG REQUIRED)
+ki18n_install(po)

=== debian/changelog ===
kubuntu-debug-installer (15.10ubuntu2) wily; urgency=medium

  * Fix rules. "Make - Like Perl, but Worse"

 -- Harald Sitter <sitter@kde.org>  Tue, 29 Sep 2015 11:25:57 +0200

kubuntu-debug-installer (15.10ubuntu1) wily; urgency=medium

  * New release for 15.10 only updating translations

 -- Harald Sitter <sitter@kde.org>  Tue, 22 Sep 2015 13:53:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,14 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DVERSION_STRING_FULL=$(version)
+
+kubuntu_rake:
+	rm -rf .kubuntu-rake
+	if [ -e .git ]; then \
+		git clone kde:scratch/sitter/kubuntu-rake .kubuntu-rake; \
+		cp .kubuntu-rake/Rakefile .; \
+	fi
+	if [ -e Rakefile ]; then rake; fi
+
+override_dh_auto_clean: kubuntu_rake
+	dh_auto_clean

## kubuntu-debug-installer 16.04ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,15 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings)
 
+set(REQUIRED_QT_VERSION 5.0)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Concurrent Test)
 find_package(KF5CoreAddons 5.0.0 REQUIRED)
 find_package(KF5I18n 5.0.0 REQUIRED)
 find_package(KF5WidgetsAddons 5.0.0 REQUIRED)
 
 find_package(QApt 3.0.0 REQUIRED)
 
+add_subdirectory(autotests)
 add_subdirectory(src)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,12 @@
     main.cpp
 )
 
-kde4_add_executable(kubuntu-debug-installer ${installdbgsymbols_SRCS})
+add_executable(kubuntu-debug-installer ${installdbgsymbols_SRCS})
 
-target_link_libraries(kubuntu-debug-installer ${KDE4_KDEUI_LIBS} ${QAPT_LIBRARY})
+target_link_libraries(kubuntu-debug-installer
+    KF5::CoreAddons
+    KF5::I18n
+    KF5::WidgetsAddons
+    QApt::Main)
 
 install(TARGETS kubuntu-debug-installer ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kubuntu-debug-installer (16.04ubuntu2) xenial; urgency=medium

  * Don't run tests on account of them requiring a fully working qapt stack,
    which is crappy to get going.

 -- Harald Sitter <sitter@kde.org>  Wed, 25 Nov 2015 13:32:35 +0100

kubuntu-debug-installer (16.04ubuntu1) xenial; urgency=medium

  * Fix resolver for Qt5.

 -- Harald Sitter <sitter@kde.org>  Wed, 25 Nov 2015 09:53:41 +0100

## kubuntu-debug-installer 16.04ubuntu3

=== debian/changelog ===
kubuntu-debug-installer (16.04ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:26 +0000

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 
 override_dh_auto_clean: kubuntu_rake
 	dh_auto_clean
+
+# Can't run tests. requires dbus daemon and polkit and whatnot...
+.PHONY: override_dh_auto_test

## kubuntu-debug-installer 16.04ubuntu5

=== autotests/CMakeLists.txt ===
if(POLICY CMP0028)
  cmake_policy(SET CMP0028 OLD)
endif()
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)
include(ECMCoverageOption)

########### unittests ###############

ecm_add_test(../src/DebugFinder.cpp
             findertest.cpp
    NAME_PREFIX "kubuntu-debug-installer-"
    TEST_NAME "findertest"
    LINK_LIBRARIES Qt5::Test QApt::Main
)

# target_link_libraries(threadtest Qt5::Concurrent)

=== debian/changelog ===
kubuntu-debug-installer (16.04ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:49:19 +1100

kubuntu-debug-installer (16.04ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:28:35 +0000

=== debian/control ===
Source: kubuntu-debug-installer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5widgetsaddons-dev,
               libqapt-dev (>= 3.0.0),
               pkg-kde-tools (>= 0.15.3ubuntu7)
Standards-Version: 3.9.3
Homepage: https://www.kubuntu.org

Package: kubuntu-debug-installer
Architecture: any
Depends: qapt-batch, ${misc:Depends}, ${shlibs:Depends}
Description: Debug package installer for Kubuntu
 This installer permits drkonqi, KDE's automatic backtrace and bug report
 utility, to try find and install missing debug symbols, so that backtraces
 become more useful.

Package: kubuntu-debug-installer-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kubuntu-debug-installer (= ${binary:Version}), ${misc:Depends}
Description: Debug package installer for Kubuntu - debug symbols
 This installer permits drkonqi, KDE's automatic backtrace and bug report
 utility to try find and install missing debug symbols, so that backtraces
 become more useful.
 .
 This package only contains the debug symbols.
